bcr_test_module:
  module_path: "examples"
  matrix:
    platform: ["debian10", "macos_arm64", "ubuntu2004"]
    bazel: ["6.x", "7.x"]
  tasks:
    run_tests:
      name: "Run test module"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
        - "//..."
    run_windows_tests:
      name: "Run test module"
      platform: "windows"
      bazel: ${{ bazel }}
      test_targets:
        - "//..."
        # Running these tests on Windows requires non-standard Visual Studio
        # components and tweaks to PATH.
        - "-//cc_asan_test/..."
        - "-//cc_asan_test_with_reset/..."
        # Fails with:
        # LAUNCHER ERROR: Cannot launch process: "C:/tools/msys64/usr/bin/bash.exe
        # Reason: (error: 8): Not enough memory resources are available to process this command.
        # TODO: Enable after https://github.com/bazelbuild/bazel/pull/23076.
        - "-//sh/..."
        - "-//args_location_expansion/..."
